import {
  describe,
  globalExpect,
  it,
  vi
} from "../chunk-C6GVXLFJ.mjs";
import "../chunk-RBFZAKDG.mjs";
import "../chunk-YONIONVZ.mjs";
import "../chunk-TRQQUNIW.mjs";
import "../chunk-XMSQJY6Q.mjs";
import {
  isArrowFunction,
  log
} from "../chunk-BU4RBUBJ.mjs";
import "../chunk-2CV3WTQN.mjs";

// src/__tests__/utils.test.ts
describe("app", async () => {
  it("should render lib", () => {
    globalExpect("lib").toBe("lib");
  });
  it("isArrowFunction = true", () => {
    const a = (b) => {
      return b;
    };
    const result = isArrowFunction(a);
    globalExpect(result).toBe(true);
  });
  it("isArrowFunction = false", () => {
    const a = function(b) {
      return b;
    };
    const result = isArrowFunction(a);
    globalExpect(result).toBe(false);
  });
  it("isArrowFunction = false", () => {
    const result = isArrowFunction("a");
    globalExpect(result).toBe(false);
  });
  it("mock log", () => {
    const spy = vi.spyOn(console, "log");
    log("2323", true);
    globalExpect(spy).toHaveBeenCalled();
  });
});
